Subject: bug#26226: "Open File" dialog hangs

From: Joshua Branson <[email-masked]>
Date: Thu, 23 Mar 2017 19:34:32 +0000

Did you try running Emacs without loading your config file?  i.e.:  Try running “emacs -q”.  Does the problem still persist?

I did not experience this issue on Emacs on a virtual terminal.  This issue might be related only to graphically running instances of Emacs.  (I can’t easily test it graphically, because my mouse won’t move left or right.)

I opened up Emacs in a tty (emacs -q), and I ran (find-file “~/.emacs.d/init.el”)  several times and had no issue.  I then opened several different files in rapid succession with no issue.  I’m using a macbook 7,1.  I think that this issue is only for graphical instances of Emacs.

Joshua